Resample image to desired resolution

- « Imagick::render

- Imagick::resetImagePage »

- PHP Manual
- Imagick
- Resample image to desired resolution

# Imagick::resampleImage

(PECL imagick 2, PECL imagick 3)

Imagick::resampleImage — Resample image to desired resolution

### Description

public Imagick::resampleImage(
float `$x_resolution`,
float `$y_resolution`,
int `$filter`,
float `$blur`
): bool

Resample image to desired resolution.

### Parameters

`x_resolution`

`y_resolution`

`filter`

`blur`

### Return Values

Returns `true` on success.

### Examples

Example #1 Imagick::resampleImage()

    <?php
    function resampleImage($imagePath) {
        $imagick = new \Imagick(realpath($imagePath));

        $imagick->resampleImage(200, 200, \Imagick::FILTER_LANCZOS, 1);
        header("Content-Type: image/jpg");
        echo $imagick->getImageBlob();
    }

    ?>